Skip to main content
POST
Create an organization annotations group

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
name
string
required

name of the annotations group

annotations
object[]
required
scopes
enum<string>[]
required

Annotations Group Scope

Available options:
DEPLOYMENTS,
STATEFUL_SETS,
SERVICES,
INGRESS,
GATEWAY_API_ROUTES,
HPA,
PODS,
SECRETS,
JOBS,
CRON_JOBS

Response

Organization annotations group created

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required
annotations
object[]
required
scopes
enum<string>[]
required

Annotations Group Scope

Available options:
DEPLOYMENTS,
STATEFUL_SETS,
SERVICES,
INGRESS,
GATEWAY_API_ROUTES,
HPA,
PODS,
SECRETS,
JOBS,
CRON_JOBS
updated_at
string<date-time>
read-only